/*
 * Copyright 1999 Illinois Institute of Technology
 *
 * See the file "LICENSE" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 */

/*
 * Name:    d_stimer.h
 *
 * Purpose: Header file for MX timer driver to control software timers.
 */

#ifndef __D_STIMER_H__
#define __D_STIMER_H__

#include "mx_timer.h"

/* ==== Software timer data structure ==== */

typedef struct {
	int dummy;
} MX_SOFT_TIMER;

/* Define all of the interface functions. */

MX_API mx_status_type mxd_soft_timer_initialize_type( long type );
MX_API mx_status_type mxd_soft_timer_create_record_structures(
							MX_RECORD *record );
MX_API mx_status_type mxd_soft_timer_finish_record_initialization(
							MX_RECORD *record );
MX_API mx_status_type mxd_soft_timer_delete_record( MX_RECORD *record );
MX_API mx_status_type mxd_soft_timer_read_parms_from_hardware(
					MX_RECORD *record );
MX_API mx_status_type mxd_soft_timer_write_parms_to_hardware(
					MX_RECORD *record );
MX_API mx_status_type mxd_soft_timer_open( MX_RECORD *record );
MX_API mx_status_type mxd_soft_timer_close( MX_RECORD *record );
MX_API mx_status_type mxd_soft_timer_is_busy( MX_TIMER *timer );
MX_API mx_status_type mxd_soft_timer_start( MX_TIMER *timer );
MX_API mx_status_type mxd_soft_timer_stop( MX_TIMER *timer );
MX_API mx_status_type mxd_soft_timer_clear( MX_TIMER *timer );
MX_API mx_status_type mxd_soft_timer_read( MX_TIMER *timer );
MX_API mx_status_type mxd_soft_timer_get_mode( MX_TIMER *timer );
MX_API mx_status_type mxd_soft_timer_set_mode( MX_TIMER *timer );

extern MX_RECORD_FUNCTION_LIST mxd_soft_timer_record_function_list;
extern MX_TIMER_FUNCTION_LIST mxd_soft_timer_timer_function_list;

extern long mxd_soft_timer_num_record_fields;
extern MX_RECORD_FIELD_DEFAULTS *mxd_soft_timer_rfield_def_ptr;

#endif /* __D_STIMER_H__ */
