/*
 * Name:    mx_mcs.h
 *
 * Purpose: MX system header file for multichannel scalers.
 *
 * Warning: At present this header is just a stub to be filled in later.
 *
 *-------------------------------------------------------------------------
 *
 * Copyright 1999 Illinois Institute of Technology
 *
 * See the file "LICENSE" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 */

#ifndef __MX_MCS_H__
#define __MX_MCS_H__

#include "mx_rec.h"

typedef struct {
	MX_RECORD *record; /* Pointer to the MX_RECORD structure that points
			    * to this MCS.
			    */
	int busy;

	double real_time;
	double live_time;

	double preset_time;
} MX_MCS;

#if 0
#define MX_MCS_STANDARD_FIELDS   /* To be implemented later. */
#endif

typedef struct {
	mx_status_type ( *start ) ( MX_MCS *mcs );
	mx_status_type ( *stop ) ( MX_MCS *mcs );
	mx_status_type ( *read ) ( MX_MCS *mcs );
	mx_status_type ( *clear ) ( MX_MCS *mcs );
	mx_status_type ( *busy ) ( MX_MCS *mcs );
	mx_status_type ( *get_real_time ) ( MX_MCS *mcs );
	mx_status_type ( *get_live_time ) ( MX_MCS *mcs );
} MX_MCS_FUNCTION_LIST;

MX_API mx_status_type mx_mcs_get_pointers( MX_RECORD *mcs_record,
	MX_MCS **mcs, MX_MCS_FUNCTION_LIST **function_list_ptr,
	const char *calling_fname );

MX_API mx_status_type mx_mcs_start( MX_RECORD *mcs_record );
MX_API mx_status_type mx_mcs_stop( MX_RECORD *mcs_record );
MX_API mx_status_type mx_mcs_read( MX_RECORD *mcs_record,
					unsigned long **channel_array );
MX_API mx_status_type mx_mcs_clear( MX_RECORD *mcs_record );
MX_API mx_status_type mx_mcs_is_busy( MX_RECORD *mcs_record, int *busy );
MX_API mx_status_type mx_mcs_get_real_time( MX_RECORD *mcs_record,
					double *real_time );
MX_API mx_status_type mx_mcs_get_live_time( MX_RECORD *mcs_record,
					double *live_time );

#endif /* __MX_MCS_H__ */
