/*
 * Copyright 1999 Illinois Institute of Technology
 *
 * See the file "LICENSE" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 */

/* select.h -- Function prototype for select() */

/* Surprising as it may seem, there exist Unix systems with gcc which
 * do not have a prototype for select() in _any_ header file.  In order
 * to keep using -Wmissing-prototypes in our gcc command line, it is
 * necessary to create a prototype for select() somewhere and here it is.
 */

#if defined(OS_AIX)

#include <sys/select.h>

#else

extern int select( int nfds, fd_set *readfds, fd_set *write_fds,
	fd_set *exceptfds, struct timeval *timeout );

#endif

